<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="pt"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>UserDTO.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Credenciamento</a> &gt; <a href="index.source.html" class="el_package">br.edu.unifacisa.lti.service.dto</a> &gt; <span class="el_source">UserDTO.java</span></div><h1>UserDTO.java</h1><pre class="source lang-java linenums">package br.edu.unifacisa.lti.service.dto;

import br.edu.unifacisa.lti.config.Constants;

import br.edu.unifacisa.lti.domain.Authority;
import br.edu.unifacisa.lti.domain.User;

import org.hibernate.validator.constraints.Email;

import javax.validation.constraints.*;
import java.time.ZonedDateTime;
import java.util.Set;
import java.util.stream.Collectors;

/**
 * A DTO representing a user, with his authorities.
 */
public class UserDTO {

    private Long id;

    @Pattern(regexp = Constants.LOGIN_REGEX)
    @Size(min = 1, max = 50)
    private String login;

    @Size(max = 50)
    private String firstName;

    @Size(max = 50)
    private String lastName;

    @Email
    @Size(min = 5, max = 100)
    private String email;

    @Size(max = 256)
    private String imageUrl;

<span class="fc" id="L39">    private boolean activated = false;</span>

    @Size(min = 2, max = 5)
    private String langKey;

    private String createdBy;

    private ZonedDateTime createdDate;

    private String lastModifiedBy;

    private ZonedDateTime lastModifiedDate;

    private Set&lt;String&gt; authorities;

<span class="fc" id="L54">    public UserDTO() {</span>
        // Empty constructor needed for MapStruct.
<span class="fc" id="L56">    }</span>

    public UserDTO(User user) {
<span class="fc" id="L59">        this(user.getId(), user.getLogin(), user.getFirstName(), user.getLastName(),</span>
<span class="fc" id="L60">            user.getEmail(), user.getActivated(), user.getImageUrl(), user.getLangKey(),</span>
<span class="fc" id="L61">            user.getCreatedBy(), user.getCreatedDate(), user.getLastModifiedBy(), user.getLastModifiedDate(),</span>
<span class="fc" id="L62">            user.getAuthorities().stream().map(Authority::getName)</span>
<span class="fc" id="L63">                .collect(Collectors.toSet()));</span>
<span class="fc" id="L64">    }</span>

    public UserDTO(Long id, String login, String firstName, String lastName,
        String email, boolean activated, String imageUrl, String langKey,
        String createdBy, ZonedDateTime createdDate, String lastModifiedBy, ZonedDateTime lastModifiedDate,
<span class="fc" id="L69">        Set&lt;String&gt; authorities) {</span>

<span class="fc" id="L71">        this.id = id;</span>
<span class="fc" id="L72">        this.login = login;</span>
<span class="fc" id="L73">        this.firstName = firstName;</span>
<span class="fc" id="L74">        this.lastName = lastName;</span>
<span class="fc" id="L75">        this.email = email;</span>
<span class="fc" id="L76">        this.activated = activated;</span>
<span class="fc" id="L77">        this.imageUrl = imageUrl;</span>
<span class="fc" id="L78">        this.langKey = langKey;</span>
<span class="fc" id="L79">        this.createdBy = createdBy;</span>
<span class="fc" id="L80">        this.createdDate = createdDate;</span>
<span class="fc" id="L81">        this.lastModifiedBy = lastModifiedBy;</span>
<span class="fc" id="L82">        this.lastModifiedDate = lastModifiedDate;</span>
<span class="fc" id="L83">        this.authorities = authorities;</span>
<span class="fc" id="L84">    }</span>

    public Long getId() {
<span class="fc" id="L87">        return id;</span>
    }

    public void setId(Long id) {
<span class="fc" id="L91">        this.id = id;</span>
<span class="fc" id="L92">    }</span>

    public String getLogin() {
<span class="fc" id="L95">        return login;</span>
    }

    public void setLogin(String login) {
<span class="fc" id="L99">        this.login = login;</span>
<span class="fc" id="L100">    }</span>

    public String getFirstName() {
<span class="fc" id="L103">        return firstName;</span>
    }

    public String getLastName() {
<span class="fc" id="L107">        return lastName;</span>
    }

    public String getEmail() {
<span class="fc" id="L111">        return email;</span>
    }

    public String getImageUrl() {
<span class="fc" id="L115">        return imageUrl;</span>
    }

    public boolean isActivated() {
<span class="fc" id="L119">        return activated;</span>
    }

    public String getLangKey() {
<span class="fc" id="L123">        return langKey;</span>
    }

    public String getCreatedBy() {
<span class="fc" id="L127">        return createdBy;</span>
    }

    public ZonedDateTime getCreatedDate() {
<span class="fc" id="L131">        return createdDate;</span>
    }

    public String getLastModifiedBy() {
<span class="fc" id="L135">        return lastModifiedBy;</span>
    }

    public ZonedDateTime getLastModifiedDate() {
<span class="fc" id="L139">        return lastModifiedDate;</span>
    }

    public void setLastModifiedDate(ZonedDateTime lastModifiedDate) {
<span class="fc" id="L143">        this.lastModifiedDate = lastModifiedDate;</span>
<span class="fc" id="L144">    }</span>

    public Set&lt;String&gt; getAuthorities() {
<span class="fc" id="L147">        return authorities;</span>
    }

    @Override
    public String toString() {
<span class="nc" id="L152">        return &quot;UserDTO{&quot; +</span>
            &quot;login='&quot; + login + '\'' +
            &quot;, firstName='&quot; + firstName + '\'' +
            &quot;, lastName='&quot; + lastName + '\'' +
            &quot;, email='&quot; + email + '\'' +
            &quot;, imageUrl='&quot; + imageUrl + '\'' +
            &quot;, activated=&quot; + activated +
            &quot;, langKey='&quot; + langKey + '\'' +
            &quot;, createdBy=&quot; + createdBy +
            &quot;, createdDate=&quot; + createdDate +
            &quot;, lastModifiedBy='&quot; + lastModifiedBy + '\'' +
            &quot;, lastModifiedDate=&quot; + lastModifiedDate +
            &quot;, authorities=&quot; + authorities +
            &quot;}&quot;;
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>